We've reorganized our documentation navigation structure to align directly with your operational workflows. See the release notes and the walkthrough video for more information.
If updateMask is not included in the request, an error will be returned.
If updateMask is present and paths includes only *, then all the fields which are supported by instances.patch will be updated irrespective of whether they are present in the request or not. Fields which are not present in the request will be set to nil/false value.
To update partial flags in instanceConfig, the relevant flags should be provided like instanceConfig.<flag_name> for each flag. For example, to update secopsUiEnabled flag, instanceConfig.secops_ui_enabled should be provided in the paths of the updateMask. If the flag is present in paths but not present in the request, it will be set to false.
If only instanceConfig is provided in paths, all the flags in instanceConfig will be updated and those flags which are not present in the request will be set to false.
This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".
Request body
The request body contains an instance of Instance.
Response body
If successful, the response body contains an instance of Instance.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Hard to understand","hardToUnderstand","thumb-down"],["Incorrect information or sample code","incorrectInformationOrSampleCode","thumb-down"],["Missing the information/samples I need","missingTheInformationSamplesINeed","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2026-08-13 UTC."],[],[]]